Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.ext.awt.image.codec.jpeg
Class JPEGImageWriter

    java.lang.Object
      org.apache.batik.ext.awt.image.codec.jpeg.JPEGImageWriter

All Implemented Interfaces:
  ImageWriter

    public class JPEGImageWriter

extends Object
implements ImageWriter

ImageWriter implementation that uses the sun.com.image.codec.jpeg intefaces to write JPEG files.

Constructor Summary
`JPEGImageWriter()`

Method Summary
`String` | `getMIMEType()`
`void` | `writeImage(RenderedImage image, OutputStream out)`
`void` | `writeImage(RenderedImage image, OutputStream out, ImageWriterParams params)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JPEGImageWriter

    public JPEGImageWriter()

Method Detail

### writeImage

    public void writeImage(RenderedImage image,
                           OutputStream out)
                    throws IOException

  Specified by:
    `writeImage` in interface `ImageWriter`
  Throws:
    `IOException`
  See Also:
    `ImageWriter.writeImage(java.awt.image.RenderedImage, java.io.OutputStream)`

### writeImage

    public void writeImage(RenderedImage image,
                           OutputStream out,
                           ImageWriterParams params)
                    throws IOException

  Specified by:
    `writeImage` in interface `ImageWriter`
  Throws:
    `IOException`
  See Also:
    `ImageWriter.writeImage(java.awt.image.RenderedImage, java.io.OutputStream, org.apache.batik.ext.awt.image.spi.ImageWriterParams)`

### getMIMEType

    public String getMIMEType()

  Specified by:
    `getMIMEType` in interface `ImageWriter`
  See Also:
    `ImageWriter.getMIMEType()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.